summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMartin Schlemmer <azarah@gentoo.org>2005-08-05 07:38:17 +0000
committerMartin Schlemmer <azarah@gentoo.org>2005-08-05 07:38:17 +0000
commit2070985bd4a33494c044612e32bcdf089df69464 (patch)
treea2fc6a20f2a36d1acce143f1a02ec750d183f96c /eclass
parentVersion bump. (diff)
downloadgentoo-2-2070985bd4a33494c044612e32bcdf089df69464.tar.gz
gentoo-2-2070985bd4a33494c044612e32bcdf089df69464.tar.bz2
gentoo-2-2070985bd4a33494c044612e32bcdf089df69464.zip
Rebuild /etc/env.d/05gcc and /etc/ld.so.conf if we update a non default compiler, bug #98194.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index b04ab064dcd9..6797b69f0592 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.178 2005/08/05 02:15:14 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.179 2005/08/05 07:38:17 azarah Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -1908,7 +1908,11 @@ should_we_gcc_config() {
}
do_gcc_config() {
- should_we_gcc_config || return 0
+ if ! should_we_gcc_config ; then
+ # Just make sure all our LDPATH's are updated
+ gcc-config --use-old --force
+ return 0
+ fi
# the grep -v is in there to filter out informational messages >_<
local current_gcc_config=$(env -i gcc-config -c ${CTARGET} | grep -v ^\ )